//
//  LevelView.h
//  bangbang
//
//  Created by Peter Drescher on 6/10/12.
//  Copyright (c) 2012 Twittering Machine. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AudioToolbox/AudioServices.h>

#import "Targets.h"
#import "FMODaudio.h"
#import "ViewController.h"

@class FMODaudio;

@interface LevelView : UIView
{
    NSMutableArray  *targetArray;
    CGRect          viewRect;
    CGPoint         aimFocalPt, aimThumbPt;
    
    UIImage         *bangImage,
                    *powImage,
                    *bamImage,
                    *whamImage,
                    *blammoImage,
                    *blamImage,
                    *krackImage,
                    *boomImage,
                    *zotImage,
                    *kaboomImage,
                    *batSignal,
                    *glassImage,
                    *QImage;
    
    UIImage         *bgImage;
    CGRect          bgImageRect;
    CGRect          fireBall;
    BOOL            shotFired;
    CGPoint         shotEndPt;
    float           shotFiredAtAngle;
    float           shotLength;
    float           aimAngleToZero;
    float           mSlope;
    FMODaudio       *fmodAudio;
    int             hitCounter;
    int             fireMode;
    BOOL            lazerOn;
    int             lazerClrCtr;
    NSTimer         *lazerTimer;
    NSTimer         *mgFireTimer;
    int             mgFireCtr;
    int             mgBulletCtr;
    CGRect          mgBullets[6];
    BOOL            showBonusTarget;
    int             bonusTargetType;
    float           triAngleDx;
    UIImage         *batImage[3];
    int             batImageCtr;
}

- (void) setThumbPt:(CGPoint)thumbPt;
- (void) setFocalPt:(CGPoint)focalPt;
- (void) setFMODaudio:(FMODaudio *)fmod;
- (void) fireCannon:(float)fireAngle;

@end
